// component/ad-dialog/ad-dialog.js
Component({
    properties: {
        // 广告图片 URL
        imageUrl: {
            type: String,
            value: ''
        },
        // 是否显示弹窗
        visible: {
            type: Boolean,
            value: false
        },
        coupons: {
            type: Object,
            value: null
        }
    },
    data: {
        checked: false
    },
    methods: {
        toggleCheck() {
            this.setData({
                checked: !this.data.checked
            })
        },
        // 关闭弹窗
        onClose() {
            this.setData({
                visible: false
            });
            this.triggerEvent('close', this.data.checked); // 触发关闭事件
        },
        onFurl() {
            this.setData({
                visible: false
            })
            this.triggerEvent('furl', this.data.checked); //触发收下试卷
        }
    }
})